package org.expressolivre.cte.calendar.preferencias;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AddAppointmentCategoryPage;
import org.expressolivre.cte.pages.calendar.AppointmentCategoryPage;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.8] Alterar preferencias da agenda
 * 
 * Caso de Teste: EL-1061:Criar categoria sem informar campo nome
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1061
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 11, 2011 at 2:23:04 PM
 * 
 */
public class CriarCategoriaSemNomeTestCase extends BaseCalendarTestCase {

	@Test
	public void criarCategoriaSemNome() {
		AppointmentCategoryPage acp = super.openAppointmentCategoryPage();
		AddAppointmentCategoryPage aacp = acp.addCategory();
		aacp.saveCategory();

		Assert.assertEquals(aacp.getErrorMessage(),
				"Por favor digite um nome !");
	}

}
