package org.expressolivre.cte.calendar.preferencias;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentCategoryPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.8] Alterar preferencias da agenda
 * 
 * Caso de Teste: EL-995:Procurar categoria sem resultado
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-995
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 11, 2011 at 10:38:07 AM
 * 
 */
public class ProcurarCategoriaSemResultadoTestCase extends BaseCalendarTestCase {

	@Parameters({ "nome" })
	@Test
	public void procurarCategoriaSemResultado(String nome) {
		AppointmentCategoryPage acp = super.openAppointmentCategoryPage();
		acp.setSearchText(nome);
		acp = acp.startSearch();

		// Depois da pesquisa verifica se aparece na tabela.
		Integer catId = acp.findCategory(nome);
		Assert.assertNull(catId);
	}
}
