package org.expressolivre.cte.calendar.preferencias;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AddAppointmentCategoryPage;
import org.expressolivre.cte.pages.calendar.AppointmentCategoryPage;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.8] Alterar preferencias da agenda
 * 
 * Caso de Teste: EL-988:Criar categoria
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-988
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 10, 2011 at 1:47:08 PM
 * 
 */
public class CriarCategoriaTestCase extends BaseCalendarTestCase {

	/**
	 * @param nome
	 * @param descricao
	 * @param particular
	 */
	@Parameters({ "nome", "descricao", "particular" })
	@Test
	public void criarCategoria(String nome, String descricao, Boolean particular) {
		AppointmentCategoryPage acp = super.openAppointmentCategoryPage();
		AddAppointmentCategoryPage aacp = acp.addCategory();
		aacp.setCategoryName(nome);
		aacp.setCategoryDescription(descricao);
		aacp.setPrivateAccess(particular);
		aacp.saveCategory();
	}
}
