package org.expressolivre.cte.calendar.preferencias;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AddAppointmentCategoryPage;
import org.expressolivre.cte.pages.calendar.AppointmentCategoryPage;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.8] Alterar preferencias da agenda
 * 
 * Caso de Teste: EL-989:Criar Sub categoria
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-989
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 11, 2011 at 10:19:50 AM
 * 
 */
public class CriarSubCategoriaTestCase extends BaseCalendarTestCase {

	/**
	 * @param nomePai
	 * @param nome
	 * @param descricao
	 * @param particular
	 */
	@Parameters({ "nomePai", "nome", "descricao", "particular" })
	@Test
	public void criarSubCategoria(String nomePai, String nome,
			String descricao, Boolean particular) {
		AppointmentCategoryPage acp = super.openAppointmentCategoryPage();
		AddAppointmentCategoryPage aacp = acp.addCategory();
		aacp.setParentCategory(nomePai);
		aacp.setCategoryName(nome);
		aacp.setCategoryDescription(descricao);
		aacp.setPrivateAccess(particular);
		aacp.saveCategory();
	}

}
