package org.expressolivre.cte.pages.common;

import org.expressolivre.cte.common.Config;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Dec 16, 2010 at 9:43:15 AM
 * 
 */
public class HomePage extends Page {
	@FindBy(xpath = "//a/img[@id='expressoMail12id']")
	private WebElement mail;

	/**
	 * @param driver
	 */
	public HomePage(WebDriver driver) {
		super(driver);
	}

	/**
	 * Entrar no modulo de email atraves do clique no icone.
	 */
	public void enterMail() {
		mail.click();
		waitForElement(By
				.xpath("//table[@id='folders_tbl']/tbody/tr[1]/td/table/tbody/tr[2]/td/div/span"));
	}

	/**
	 * Entra no modulo da agenda atraves da url "/calendar".
	 */
	public void enterCalendar() {
		driver.get(Config.getInstance().getConfig("url") + "/calendar/");
		waitForElement(By.id("divAppbox"));
	}
}
